Get or create Stripe customer and optionally create checkout session
POST /billing
POST
/billing
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”object
messagePriceId
Price ID for the message tier (EMAIL, INAPP_WEB, WEB_PUSH, PUSH, SLACK)
string
budgetPriceId
Price ID for the budget tier (SMS, CALL)
string
successUrl
required
string
cancelUrl
required
string
Responses
Section titled “ Responses ”Successful response
POST /billing response: account + merged usage limits (when present) + optional session.
object
organizationId
required
string
organizationType
required
string
creator
required
string
messagesCap
required
number
costCap
required
number
createdAt
required
string
updatedAt
required
string
anniversaryDate
required
ISO date (YYYY-MM-DD) when the billing cycle resets.
string
allowOverage
required
boolean
name
required
string
smsCap
number
callCap
number
stripeCustomerId
Stripe subscription ID.
string
stripeSubscriptionId
string
subscriptionStatus
string
status
Verification status; internalCap applies when not ‘verified’.
string
pendingDowngradeCostCap
number
pendingDowngradeMessagesCap
number
pendingDowngradeSmsCap
number
pendingDowngradeCallCap
number
pendingDowngradeEffectiveDate
string
pendingDowngradeAccountType
string
sessionId
string
url
string
Bad Request
Unauthorized
Internal Server Error